Description

Change the signature of the virtual WWidget::toolTip() function:

virtual WString toolTip () const

The base implementation is as currently (i.e. returns text set by setToolTip()) but user can reimplement it to have on-demand loading

of the tooltip text.

ToolTip.js should be modified to fetch the tool tip text using a JSignal.

In WitemDelegate modify so that the WText::setToolTip() does not actually fetch the tooltip; probably it needs a new flag to indicate
the availability of tooltip data. If the flag is not present we keep the current behavior; otherwise we get the new behavior with a

specialized WText::toolTip().

History

#1 - 04/01/2014 04:21 PM - Koen Deforche
- Target version changed from 3.3.3 to 3.3.4

#2 - 04/16/2014 06:26 PM - Michael Vilsker

- Status changed from InProgress to Resolved

#3 - 05/16/2014 06:01 PM - Koen Deforche

- Status changed from Resolved to Closed
